SystemOrganization addCategory: #'Equipement-TIT'!

Object subclass: #AnalogInput
	instanceVariableNames: 'val vallabel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

AnalogInput class
	instanceVariableNames: 'val aSmallInteger'!

AnalogInput class
	instanceVariableNames: 'val aSmallInteger'!

!AnalogInput methodsFor: 'accessing' stamp: ''!
label
	^ vallabel! !

!AnalogInput methodsFor: 'accessing' stamp: ''!
label: aByteString 
	vallabel := aByteString! !

!AnalogInput methodsFor: 'accessing' stamp: ''!
pointValue
	^ 32767
		min: (0
				max: (val
						ifNil: [0]))! !

!AnalogInput methodsFor: 'accessing' stamp: ''!
pointValue: aSmallInteger 
	val := aSmallInteger! !

Object subclass: #DigitalInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!DigitalInput methodsFor: 'accessing' stamp: ''!
label: aByteString 
	^ self! !

!DigitalInput methodsFor: 'accessing' stamp: ''!
stateOff
	^ self! !

Object subclass: #RFGENERATOR
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!RFGENERATOR methodsFor: 'accessing' stamp: ''!
inputPwron: aDigitalInput 
	^ self! !

!RFGENERATOR methodsFor: 'accessing' stamp: ''!
inputputRfon: aDigitalInput 
	^ self! !

!RFGENERATOR methodsFor: 'accessing' stamp: ''!
isRunning
	^ false! !

TestCase subclass: #AnalogInputTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
test15000ResultShouldBe15000
	| power |
	power := AnalogInput new.
	power pointValue: 15000.
	self assert: 15000 = power pointValue! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
testDefautResultShouldBe0
	| power |
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 0 = power pointValue! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
testDefautResultShouldBeQPW1
	| power |
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 'QPW1' = power label! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
testMaximumResultShouldBe32767
	| power |
	power := AnalogInput new.
	power pointValue: 40000.
	self assert: 32767 = power pointValue! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
testNegatifResultShouldBe15000
	| power |
	power := AnalogInput new.
	power pointValue: -1.
	self assert: 0 = power pointValue! !

TestCase subclass: #RFGeneratorTest
	instanceVariableNames: 'pwron rfon myGenerator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: ''!
setUp
	pwron := DigitalInput new.
	pwron label: 'PWRON'.
	rfon := DigitalInput new.
	rfon label: 'RFON'.
	myGenerator := RFGENERATOR new.
	myGenerator inputPwron: pwron;
		 inputputRfon: rfon! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: ''!
testDeuxEntreesFalse
	pwron stateOff.
	rfon stateOff.
	self deny: myGenerator isRunning! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: ''!
testDeuxcas
	pwron stateOff.
	rfon stateOff.
	self deny: myGenerator isRunning! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: ''!
testTroisCas
	pwron stateOff.
	rfon stateOff.
	self deny: myGenerator isRunning! !
